%global momorel 6
%global kdever 4.5.0
%global kdelibsrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global content_no 84745
%global real_name KPackageKit

%global pk_version 0.6.2

Summary:        KDE interface for PackageKit
Name:           kpackagekit
Version:        0.6.0
Release:        %{momorel}m%{?dist}
License:        GPLv2+
Group:          Applications/System
URL:            http://www.kde-apps.org/content/show.php/KPackageKit?content=84745
Source0:        %{real_name}-%{version}.tar.bz2
Source1:        %{name}-ja.po
Source2:        CMakeLists.txt.ja
Patch0:         %{real_name}-%{version}-desktop.patch
Patch1:         %{name}-%{version}-make-ja.patch
Patch2:         %{real_name}-%{version}-pk-version.patch
Patch3:         %{name}-%{version}-InstallPrinterDrivers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:       PackageKit-qt >= %{pk_version}
BuildRequires:  cmake >= %{cmakever}-%{cmakerel}
BuildRequires:  kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires:  PackageKit-qt-devel >= %{pk_version}
BuildRequires:  coreutils
BuildRequires:  dbus-qt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

%description
KDE interface for PackageKit.

%prep
%setup -q -n %{real_name}-%{version}

%patch0 -p1 -b .desktop-ja
%patch2 -p1 -b .pk-version
%patch3 -p1 -b .InstallPrinterDrivers

# for Japanese
mkdir -p po/ja
install -m 644 %{SOURCE1} po/ja/%{name}.po
install -m 644 %{SOURCE2} po/ja/CMakeLists.txt

%patch1 -p1 -b .make-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..  
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

touch kpackagekit.lang
%find_lang kpackagekit || echo "NOTICE: translations missing!"

# move dbus service file to avoid conflicting with gnome-packagekit-2.30.3-1m
mv %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service %{buildroot}%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kpackagekit.desktop

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%files -f kpackagekit.lang
%defattr(-,root,root,-)
%doc COPYING TODO
%{_kde4_bindir}/kpackagekit
%{_kde4_libdir}/kde4/libexec/kpackagekitsmarticon
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/libkpackagekitlib.so
%{_kde4_datadir}/applications/kde4/kpackagekit.desktop
%{_kde4_datadir}/kde4/services/kded/*.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_appsdir}/KPackageKitSmartIcon
%{_kde4_appsdir}/kpackagekit
%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service
%{_datadir}/dbus-1/services/org.kde.KPackageKitSmartIcon.service

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-6m)
- full rebuild for mo7 release

* Mon Aug 16 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-5m)
- adapt settings-add-and-remove-software.desktop to KDE 4.5 specification

* Sun Aug 15 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-4m)
- import Japanese translation from svn.kde.org

* Sun Aug 15 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-3m)
- fix up package to work, DO NOT REMOVE dbus service files
- import InstallPrinterDrivers.patch from Fedora
- https://bugzilla.redhat.com/show_bug.cgi?id=576615

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-2m)
- rebuild against qt-4.6.3-1m

* Sat Mar 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-1m)
- version 0.6.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-1m)
- version 0.5.4

* Sat Jan 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.3-1m)
- rebuild against PackageKit-0.6.0 ang update to 0.5.3
- update desktop.patch and remove unused patches

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-2m)
- update desktop.patch for Momonga Linux 6plus

* Tue Oct 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- version 0.4.2
- add %%doc
- add %%post and %%postun

* Mon Jun 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1.1-2m)
- use Fedora's tar-ball including translations without ja

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.1.1-1m)
- import from Fedora devel

* Thu Jun 11 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-1
- Fixed all krazy issues (2 or 3 not much important changed in backend details)
- With KDE >= 4.2.3 persistent notifications are working again so the code to use it was commented out
- Getting duplicated updates was trully fixed
- Added "details" button on error notifications

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-3
- apply awol InitialPreference patch

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-2
- Added missing translations

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-1
- min pk_version 0.4.7
- touchup %%files
- highlight missing translations during build (but make it non-fatal)
- drop upstreamed patches

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-0
- New upstream release.  Fixes compatibility with Packagekit 0.4.8 (#503989)

* Tue Apr 28 2009 Lukas Tinkl <ltinkl@redhat.com> - 0.4.0-7
- upstream patch to fix catalog loading (#493061)

* Thu Apr 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-6
- make update notification persistent (#485796)

* Tue Mar 31 2009 Lukas Tinkl <ltinkl@redhat.com> - 0.4.0-5
- another respun tarball to fix using those translations (#493061)

* Tue Mar 17 2009 Lukas Tinkl <ltinkl@redhat.com> - 0.4.0-4
- respun (fixed) tarball with translations included

* Mon Mar 09 2009 Richard Hughes  <rhughes@redhat.com> - 0.4.0-3
- Rebuild for PackageKit-qt soname bump

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.4.0-1
- Official 0.4.0 release

* Fri Feb 06 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.2-0.2.20090128svn
- workaround: mime-type/extension binding for .rpm is wrong (#457783)

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-svn.1
- SVN build to solve compatibility issues with packagekit 0.4.2

* Wed Nov 26 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-6
- respin (PackageKit)
- spec cleanup

* Sat Nov 01 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-5
- use PackageKit's FindQPackageKit.cmake

* Tue Oct 21 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-4
- build against PackageKit-qt

* Mon Oct 20 2008 Rex Dieter <rdieter@fedoraproject.rog> 0.3.1-3
- patch kpackagekit.desktop (guessed correct X-DBUS-ServiceName value), 
- fixes: KDEInit could not launch "/usr/bin/kpackagekit"
- cleanup %%files

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-2
- Fix build error

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-1
- New upstream release

* Mon Sep 29 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-1
- Official 0.1 release

* Sun Aug 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b4
- Excluded underdevelopment binaries and associated files 

* Fri Aug 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b4
- Adding missing files

* Tue Aug 19 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b4
- New upstream release

* Fri Aug 01 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.5.b3
- Corrected SPEC file regression

* Thu Jul 31 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.4.b3
- Changed wording on serveral windows to make them better understood

* Thu Jul 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b3
- Removed additional uneeded BRs

* Tue Jul 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b3
- Removed uneeded BRs
- Made use of predefined macros

* Wed Jul 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b3
- Initial SPEC file
